#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,280,320,360,400,560,600,640,680,840,1160,2360
 * N : 25,120,200,280,320,360,400,560,600,640,680,840,1160,2360
 * NB : 5,8,40,32,24,48,52,40,56,28,64,60,56,120
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 5; \
   else if ((n_) < 160) (nb_) = 8; \
   else if ((n_) < 240) (nb_) = 40; \
   else if ((n_) < 300) (nb_) = 32; \
   else if ((n_) < 340) (nb_) = 24; \
   else if ((n_) < 380) (nb_) = 48; \
   else if ((n_) < 480) (nb_) = 52; \
   else if ((n_) < 580) (nb_) = 40; \
   else if ((n_) < 620) (nb_) = 56; \
   else if ((n_) < 660) (nb_) = 28; \
   else if ((n_) < 760) (nb_) = 64; \
   else if ((n_) < 1000) (nb_) = 60; \
   else if ((n_) < 1760) (nb_) = 56; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
