#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,280,600,880,960,1000,1040,1120,1160,1200
 * N : 25,120,280,600,880,960,1000,1040,1120,1160,1200
 * NB : 9,12,12,12,16,16,32,40,32,32,120
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 9; \
   else if ((n_) < 740) (nb_) = 12; \
   else if ((n_) < 980) (nb_) = 16; \
   else if ((n_) < 1020) (nb_) = 32; \
   else if ((n_) < 1080) (nb_) = 40; \
   else if ((n_) < 1180) (nb_) = 32; \
   else (nb_) = 120; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
